import requests
import time
import datetime
import pymysql
import random
import traceback
from log_settings import *
import logging
from auto_request import login, time_conv, Urge
from auto_request import host, user, db, passwd


def get_star_useid(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=3306)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT distinct(user_id) FROM topic WHERE is_online=1 and  (content_level =4 or content_level =5) and create_time > '%s'" % numtime)
        data = cursor.fetchall()
        user_id = list(data)
        topic_id_list = []
        for i in user_id and user_id:
            cursor.execute(
                "select user_id from user_extra where user_id =" + str(i[0]) + " and is_shadow =0 ")
            data = cursor.fetchall()
            user_id = list(data)
            if user_id:
                topic_id_list.append(i)
        logging.info("Database version : %s " % topic_id_list)
        pc.close()
        return topic_id_list

    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:
        time_list = [1, 2, 3, 4, 5, 6, 7]

        for i in time_list:

            numtime1, numtime2 = time_conv(i + 1, i - 1)

            user_id = get_star_useid(numtime1)

            for j in user_id and user_id:

                id = int(j[0])

                for i in range(1):

                    time.sleep(random.randint(10, 50))

                    cookies = login()

                    if cookies is not None:
                        Urge(cookies, id)

    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
